﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Este código fue generado por una herramienta.
//     Versión de runtime:4.0.30319.42000
//
//     Los cambios en este archivo podrían causar un comportamiento incorrecto y se perderán si
//     se vuelve a generar el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SGEWCF2.BDU {
    using System.Runtime.Serialization;
    using System;
    
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="ExpedienteCreateEntity", Namespace="http://schemas.datacontract.org/2004/07/BDUTools.Infraestructure.Types.BduModule")]
    [System.SerializableAttribute()]
    public partial class ExpedienteCreateEntity : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int ActividadField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int ClaseServicioField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int CodigoExpedienteField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private bool EstadoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.DateTime FechaFinPolizaField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.DateTime FechaInicioPolizaField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private long IdOperadorField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int IdOrigenField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private SGEWCF2.BDU.NaturalezaTypes NaturalezaField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private long NumeroPolizaField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string ObservacionesField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string OrigenField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string RecomendacionesField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string ServiciosAuxiliaresField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int SucursalOperadorField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string UsuarioField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int Actividad {
            get {
                return this.ActividadField;
            }
            set {
                if ((this.ActividadField.Equals(value) != true)) {
                    this.ActividadField = value;
                    this.RaisePropertyChanged("Actividad");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int ClaseServicio {
            get {
                return this.ClaseServicioField;
            }
            set {
                if ((this.ClaseServicioField.Equals(value) != true)) {
                    this.ClaseServicioField = value;
                    this.RaisePropertyChanged("ClaseServicio");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int CodigoExpediente {
            get {
                return this.CodigoExpedienteField;
            }
            set {
                if ((this.CodigoExpedienteField.Equals(value) != true)) {
                    this.CodigoExpedienteField = value;
                    this.RaisePropertyChanged("CodigoExpediente");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public bool Estado {
            get {
                return this.EstadoField;
            }
            set {
                if ((this.EstadoField.Equals(value) != true)) {
                    this.EstadoField = value;
                    this.RaisePropertyChanged("Estado");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public System.DateTime FechaFinPoliza {
            get {
                return this.FechaFinPolizaField;
            }
            set {
                if ((this.FechaFinPolizaField.Equals(value) != true)) {
                    this.FechaFinPolizaField = value;
                    this.RaisePropertyChanged("FechaFinPoliza");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public System.DateTime FechaInicioPoliza {
            get {
                return this.FechaInicioPolizaField;
            }
            set {
                if ((this.FechaInicioPolizaField.Equals(value) != true)) {
                    this.FechaInicioPolizaField = value;
                    this.RaisePropertyChanged("FechaInicioPoliza");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public long IdOperador {
            get {
                return this.IdOperadorField;
            }
            set {
                if ((this.IdOperadorField.Equals(value) != true)) {
                    this.IdOperadorField = value;
                    this.RaisePropertyChanged("IdOperador");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int IdOrigen {
            get {
                return this.IdOrigenField;
            }
            set {
                if ((this.IdOrigenField.Equals(value) != true)) {
                    this.IdOrigenField = value;
                    this.RaisePropertyChanged("IdOrigen");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public SGEWCF2.BDU.NaturalezaTypes Naturaleza {
            get {
                return this.NaturalezaField;
            }
            set {
                if ((this.NaturalezaField.Equals(value) != true)) {
                    this.NaturalezaField = value;
                    this.RaisePropertyChanged("Naturaleza");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public long NumeroPoliza {
            get {
                return this.NumeroPolizaField;
            }
            set {
                if ((this.NumeroPolizaField.Equals(value) != true)) {
                    this.NumeroPolizaField = value;
                    this.RaisePropertyChanged("NumeroPoliza");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Observaciones {
            get {
                return this.ObservacionesField;
            }
            set {
                if ((object.ReferenceEquals(this.ObservacionesField, value) != true)) {
                    this.ObservacionesField = value;
                    this.RaisePropertyChanged("Observaciones");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Origen {
            get {
                return this.OrigenField;
            }
            set {
                if ((object.ReferenceEquals(this.OrigenField, value) != true)) {
                    this.OrigenField = value;
                    this.RaisePropertyChanged("Origen");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Recomendaciones {
            get {
                return this.RecomendacionesField;
            }
            set {
                if ((object.ReferenceEquals(this.RecomendacionesField, value) != true)) {
                    this.RecomendacionesField = value;
                    this.RaisePropertyChanged("Recomendaciones");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string ServiciosAuxiliares {
            get {
                return this.ServiciosAuxiliaresField;
            }
            set {
                if ((object.ReferenceEquals(this.ServiciosAuxiliaresField, value) != true)) {
                    this.ServiciosAuxiliaresField = value;
                    this.RaisePropertyChanged("ServiciosAuxiliares");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int SucursalOperador {
            get {
                return this.SucursalOperadorField;
            }
            set {
                if ((this.SucursalOperadorField.Equals(value) != true)) {
                    this.SucursalOperadorField = value;
                    this.RaisePropertyChanged("SucursalOperador");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Usuario {
            get {
                return this.UsuarioField;
            }
            set {
                if ((object.ReferenceEquals(this.UsuarioField, value) != true)) {
                    this.UsuarioField = value;
                    this.RaisePropertyChanged("Usuario");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="NaturalezaTypes", Namespace="http://schemas.datacontract.org/2004/07/BDUTools.Infraestructure.Types")]
    public enum NaturalezaTypes : int {
        
        [System.Runtime.Serialization.EnumMemberAttribute()]
        CP = 0,
        
        [System.Runtime.Serialization.EnumMemberAttribute()]
        CV = 1,
        
        [System.Runtime.Serialization.EnumMemberAttribute()]
        FNTCP = 2,
        
        [System.Runtime.Serialization.EnumMemberAttribute()]
        FNTCV = 3,
        
        [System.Runtime.Serialization.EnumMemberAttribute()]
        FTICP = 4,
        
        [System.Runtime.Serialization.EnumMemberAttribute()]
        FTICV = 5,
        
        [System.Runtime.Serialization.EnumMemberAttribute()]
        FUC = 6,
        
        [System.Runtime.Serialization.EnumMemberAttribute()]
        NA = 7,
        
        [System.Runtime.Serialization.EnumMemberAttribute()]
        RC = 8,
        
        [System.Runtime.Serialization.EnumMemberAttribute()]
        RSC = 9,
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="InteropServiceFault1", Namespace="http://schemas.datacontract.org/2004/07/BDUTools.Infraestructure.ExceptionHandler" +
        "ing")]
    [System.SerializableAttribute()]
    public partial class InteropServiceFault1 : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string ErrorCodeField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string MessageErrorField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string ReasonField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string ErrorCode {
            get {
                return this.ErrorCodeField;
            }
            set {
                if ((object.ReferenceEquals(this.ErrorCodeField, value) != true)) {
                    this.ErrorCodeField = value;
                    this.RaisePropertyChanged("ErrorCode");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string MessageError {
            get {
                return this.MessageErrorField;
            }
            set {
                if ((object.ReferenceEquals(this.MessageErrorField, value) != true)) {
                    this.MessageErrorField = value;
                    this.RaisePropertyChanged("MessageError");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Reason {
            get {
                return this.ReasonField;
            }
            set {
                if ((object.ReferenceEquals(this.ReasonField, value) != true)) {
                    this.ReasonField = value;
                    this.RaisePropertyChanged("Reason");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="InteropClientFault", Namespace="http://schemas.datacontract.org/2004/07/BDUTools.Infraestructure.ExceptionHandler" +
        "ing")]
    [System.SerializableAttribute()]
    public partial class InteropClientFault : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string HowToFixField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string MessageErrorField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string ReasonField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string HowToFix {
            get {
                return this.HowToFixField;
            }
            set {
                if ((object.ReferenceEquals(this.HowToFixField, value) != true)) {
                    this.HowToFixField = value;
                    this.RaisePropertyChanged("HowToFix");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string MessageError {
            get {
                return this.MessageErrorField;
            }
            set {
                if ((object.ReferenceEquals(this.MessageErrorField, value) != true)) {
                    this.MessageErrorField = value;
                    this.RaisePropertyChanged("MessageError");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Reason {
            get {
                return this.ReasonField;
            }
            set {
                if ((object.ReferenceEquals(this.ReasonField, value) != true)) {
                    this.ReasonField = value;
                    this.RaisePropertyChanged("Reason");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="ResolucionCreateEntity", Namespace="http://schemas.datacontract.org/2004/07/BDUTools.Infraestructure.Types.BduModule")]
    [System.SerializableAttribute()]
    public partial class ResolucionCreateEntity : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string AccionAfectaField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int ClaseTramitesField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private bool EstadoBloqueoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int EstadoResolucionField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int ExpedienteField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.Nullable<System.DateTime> FechaCuadroTecnicoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.Nullable<System.DateTime> FechaEjecutoriaField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.Nullable<System.DateTime> FechaFinalField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.Nullable<System.DateTime> FechaInicialField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.Nullable<System.DateTime> FechaNotificacionField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.Nullable<System.DateTime> FechaRecursoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.Nullable<System.DateTime> FechaResolucionField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int IdDependenciaField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int IdLeyField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int IdOrigenField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.Nullable<int> MultaField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.Nullable<int> MultaSMLMVField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int NitField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.Nullable<decimal> NumeroCuadroTecnicoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int NumeroRadicacionField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.Nullable<int> NumeroResolucionField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string ObjetoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string ObservacionField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string OrigenField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.Nullable<int> RadicadoRecursoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.Nullable<int> ResolucionAfectadaField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string ResuelveField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int ServicioField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int TipoDocAlfaNetField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private System.Nullable<int> TipoRecursoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private SGEWCF2.BDU.TransaccionesTypes TipoTransaccionField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string UsuarioField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int crrTipoField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string AccionAfecta {
            get {
                return this.AccionAfectaField;
            }
            set {
                if ((object.ReferenceEquals(this.AccionAfectaField, value) != true)) {
                    this.AccionAfectaField = value;
                    this.RaisePropertyChanged("AccionAfecta");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int ClaseTramites {
            get {
                return this.ClaseTramitesField;
            }
            set {
                if ((this.ClaseTramitesField.Equals(value) != true)) {
                    this.ClaseTramitesField = value;
                    this.RaisePropertyChanged("ClaseTramites");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public bool EstadoBloqueo {
            get {
                return this.EstadoBloqueoField;
            }
            set {
                if ((this.EstadoBloqueoField.Equals(value) != true)) {
                    this.EstadoBloqueoField = value;
                    this.RaisePropertyChanged("EstadoBloqueo");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int EstadoResolucion {
            get {
                return this.EstadoResolucionField;
            }
            set {
                if ((this.EstadoResolucionField.Equals(value) != true)) {
                    this.EstadoResolucionField = value;
                    this.RaisePropertyChanged("EstadoResolucion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int Expediente {
            get {
                return this.ExpedienteField;
            }
            set {
                if ((this.ExpedienteField.Equals(value) != true)) {
                    this.ExpedienteField = value;
                    this.RaisePropertyChanged("Expediente");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public System.Nullable<System.DateTime> FechaCuadroTecnico {
            get {
                return this.FechaCuadroTecnicoField;
            }
            set {
                if ((this.FechaCuadroTecnicoField.Equals(value) != true)) {
                    this.FechaCuadroTecnicoField = value;
                    this.RaisePropertyChanged("FechaCuadroTecnico");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public System.Nullable<System.DateTime> FechaEjecutoria {
            get {
                return this.FechaEjecutoriaField;
            }
            set {
                if ((this.FechaEjecutoriaField.Equals(value) != true)) {
                    this.FechaEjecutoriaField = value;
                    this.RaisePropertyChanged("FechaEjecutoria");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public System.Nullable<System.DateTime> FechaFinal {
            get {
                return this.FechaFinalField;
            }
            set {
                if ((this.FechaFinalField.Equals(value) != true)) {
                    this.FechaFinalField = value;
                    this.RaisePropertyChanged("FechaFinal");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public System.Nullable<System.DateTime> FechaInicial {
            get {
                return this.FechaInicialField;
            }
            set {
                if ((this.FechaInicialField.Equals(value) != true)) {
                    this.FechaInicialField = value;
                    this.RaisePropertyChanged("FechaInicial");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public System.Nullable<System.DateTime> FechaNotificacion {
            get {
                return this.FechaNotificacionField;
            }
            set {
                if ((this.FechaNotificacionField.Equals(value) != true)) {
                    this.FechaNotificacionField = value;
                    this.RaisePropertyChanged("FechaNotificacion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public System.Nullable<System.DateTime> FechaRecurso {
            get {
                return this.FechaRecursoField;
            }
            set {
                if ((this.FechaRecursoField.Equals(value) != true)) {
                    this.FechaRecursoField = value;
                    this.RaisePropertyChanged("FechaRecurso");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public System.Nullable<System.DateTime> FechaResolucion {
            get {
                return this.FechaResolucionField;
            }
            set {
                if ((this.FechaResolucionField.Equals(value) != true)) {
                    this.FechaResolucionField = value;
                    this.RaisePropertyChanged("FechaResolucion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int IdDependencia {
            get {
                return this.IdDependenciaField;
            }
            set {
                if ((this.IdDependenciaField.Equals(value) != true)) {
                    this.IdDependenciaField = value;
                    this.RaisePropertyChanged("IdDependencia");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int IdLey {
            get {
                return this.IdLeyField;
            }
            set {
                if ((this.IdLeyField.Equals(value) != true)) {
                    this.IdLeyField = value;
                    this.RaisePropertyChanged("IdLey");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int IdOrigen {
            get {
                return this.IdOrigenField;
            }
            set {
                if ((this.IdOrigenField.Equals(value) != true)) {
                    this.IdOrigenField = value;
                    this.RaisePropertyChanged("IdOrigen");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public System.Nullable<int> Multa {
            get {
                return this.MultaField;
            }
            set {
                if ((this.MultaField.Equals(value) != true)) {
                    this.MultaField = value;
                    this.RaisePropertyChanged("Multa");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public System.Nullable<int> MultaSMLMV {
            get {
                return this.MultaSMLMVField;
            }
            set {
                if ((this.MultaSMLMVField.Equals(value) != true)) {
                    this.MultaSMLMVField = value;
                    this.RaisePropertyChanged("MultaSMLMV");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int Nit {
            get {
                return this.NitField;
            }
            set {
                if ((this.NitField.Equals(value) != true)) {
                    this.NitField = value;
                    this.RaisePropertyChanged("Nit");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public System.Nullable<decimal> NumeroCuadroTecnico {
            get {
                return this.NumeroCuadroTecnicoField;
            }
            set {
                if ((this.NumeroCuadroTecnicoField.Equals(value) != true)) {
                    this.NumeroCuadroTecnicoField = value;
                    this.RaisePropertyChanged("NumeroCuadroTecnico");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int NumeroRadicacion {
            get {
                return this.NumeroRadicacionField;
            }
            set {
                if ((this.NumeroRadicacionField.Equals(value) != true)) {
                    this.NumeroRadicacionField = value;
                    this.RaisePropertyChanged("NumeroRadicacion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public System.Nullable<int> NumeroResolucion {
            get {
                return this.NumeroResolucionField;
            }
            set {
                if ((this.NumeroResolucionField.Equals(value) != true)) {
                    this.NumeroResolucionField = value;
                    this.RaisePropertyChanged("NumeroResolucion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Objeto {
            get {
                return this.ObjetoField;
            }
            set {
                if ((object.ReferenceEquals(this.ObjetoField, value) != true)) {
                    this.ObjetoField = value;
                    this.RaisePropertyChanged("Objeto");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Observacion {
            get {
                return this.ObservacionField;
            }
            set {
                if ((object.ReferenceEquals(this.ObservacionField, value) != true)) {
                    this.ObservacionField = value;
                    this.RaisePropertyChanged("Observacion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Origen {
            get {
                return this.OrigenField;
            }
            set {
                if ((object.ReferenceEquals(this.OrigenField, value) != true)) {
                    this.OrigenField = value;
                    this.RaisePropertyChanged("Origen");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public System.Nullable<int> RadicadoRecurso {
            get {
                return this.RadicadoRecursoField;
            }
            set {
                if ((this.RadicadoRecursoField.Equals(value) != true)) {
                    this.RadicadoRecursoField = value;
                    this.RaisePropertyChanged("RadicadoRecurso");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public System.Nullable<int> ResolucionAfectada {
            get {
                return this.ResolucionAfectadaField;
            }
            set {
                if ((this.ResolucionAfectadaField.Equals(value) != true)) {
                    this.ResolucionAfectadaField = value;
                    this.RaisePropertyChanged("ResolucionAfectada");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Resuelve {
            get {
                return this.ResuelveField;
            }
            set {
                if ((object.ReferenceEquals(this.ResuelveField, value) != true)) {
                    this.ResuelveField = value;
                    this.RaisePropertyChanged("Resuelve");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int Servicio {
            get {
                return this.ServicioField;
            }
            set {
                if ((this.ServicioField.Equals(value) != true)) {
                    this.ServicioField = value;
                    this.RaisePropertyChanged("Servicio");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int TipoDocAlfaNet {
            get {
                return this.TipoDocAlfaNetField;
            }
            set {
                if ((this.TipoDocAlfaNetField.Equals(value) != true)) {
                    this.TipoDocAlfaNetField = value;
                    this.RaisePropertyChanged("TipoDocAlfaNet");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public System.Nullable<int> TipoRecurso {
            get {
                return this.TipoRecursoField;
            }
            set {
                if ((this.TipoRecursoField.Equals(value) != true)) {
                    this.TipoRecursoField = value;
                    this.RaisePropertyChanged("TipoRecurso");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public SGEWCF2.BDU.TransaccionesTypes TipoTransaccion {
            get {
                return this.TipoTransaccionField;
            }
            set {
                if ((this.TipoTransaccionField.Equals(value) != true)) {
                    this.TipoTransaccionField = value;
                    this.RaisePropertyChanged("TipoTransaccion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Usuario {
            get {
                return this.UsuarioField;
            }
            set {
                if ((object.ReferenceEquals(this.UsuarioField, value) != true)) {
                    this.UsuarioField = value;
                    this.RaisePropertyChanged("Usuario");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int crrTipo {
            get {
                return this.crrTipoField;
            }
            set {
                if ((this.crrTipoField.Equals(value) != true)) {
                    this.crrTipoField = value;
                    this.RaisePropertyChanged("crrTipo");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="TransaccionesTypes", Namespace="http://schemas.datacontract.org/2004/07/BDUTools.Infraestructure.Types")]
    public enum TransaccionesTypes : int {
        
        [System.Runtime.Serialization.EnumMemberAttribute()]
        Contrato = 1,
        
        [System.Runtime.Serialization.EnumMemberAttribute()]
        Resolucion = 2,
        
        [System.Runtime.Serialization.EnumMemberAttribute()]
        TituloHabitanteConvergente = 15,
        
        [System.Runtime.Serialization.EnumMemberAttribute()]
        CertificadoRegistroTic = 19,
        
        [System.Runtime.Serialization.EnumMemberAttribute()]
        CertificadoRegistroPostal = 20,
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="CrearContactoView", Namespace="http://schemas.datacontract.org/2004/07/BDUTools.Infraestructure.Types.BduModule")]
    [System.SerializableAttribute()]
    public partial class CrearContactoView : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int ApartadoAereoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string CedulaExtranjeriaField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string CelularField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int CodInternoOperadorField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int CodigoDaneDeptoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int CodigoDaneMunicipioField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string DependenciaField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string DireccionField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string EmailField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string Email2Field;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string FacebookField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string FaxField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int IdentificacionField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string NombreField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string OrigenDatosField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string TarjetaProfesionalField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string TelefonoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string Telefono2Field;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int TipoContactoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string TwitterField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string UsuarioField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string websiteField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int ApartadoAereo {
            get {
                return this.ApartadoAereoField;
            }
            set {
                if ((this.ApartadoAereoField.Equals(value) != true)) {
                    this.ApartadoAereoField = value;
                    this.RaisePropertyChanged("ApartadoAereo");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string CedulaExtranjeria {
            get {
                return this.CedulaExtranjeriaField;
            }
            set {
                if ((object.ReferenceEquals(this.CedulaExtranjeriaField, value) != true)) {
                    this.CedulaExtranjeriaField = value;
                    this.RaisePropertyChanged("CedulaExtranjeria");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Celular {
            get {
                return this.CelularField;
            }
            set {
                if ((object.ReferenceEquals(this.CelularField, value) != true)) {
                    this.CelularField = value;
                    this.RaisePropertyChanged("Celular");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int CodInternoOperador {
            get {
                return this.CodInternoOperadorField;
            }
            set {
                if ((this.CodInternoOperadorField.Equals(value) != true)) {
                    this.CodInternoOperadorField = value;
                    this.RaisePropertyChanged("CodInternoOperador");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int CodigoDaneDepto {
            get {
                return this.CodigoDaneDeptoField;
            }
            set {
                if ((this.CodigoDaneDeptoField.Equals(value) != true)) {
                    this.CodigoDaneDeptoField = value;
                    this.RaisePropertyChanged("CodigoDaneDepto");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int CodigoDaneMunicipio {
            get {
                return this.CodigoDaneMunicipioField;
            }
            set {
                if ((this.CodigoDaneMunicipioField.Equals(value) != true)) {
                    this.CodigoDaneMunicipioField = value;
                    this.RaisePropertyChanged("CodigoDaneMunicipio");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Dependencia {
            get {
                return this.DependenciaField;
            }
            set {
                if ((object.ReferenceEquals(this.DependenciaField, value) != true)) {
                    this.DependenciaField = value;
                    this.RaisePropertyChanged("Dependencia");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Direccion {
            get {
                return this.DireccionField;
            }
            set {
                if ((object.ReferenceEquals(this.DireccionField, value) != true)) {
                    this.DireccionField = value;
                    this.RaisePropertyChanged("Direccion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Email {
            get {
                return this.EmailField;
            }
            set {
                if ((object.ReferenceEquals(this.EmailField, value) != true)) {
                    this.EmailField = value;
                    this.RaisePropertyChanged("Email");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Email2 {
            get {
                return this.Email2Field;
            }
            set {
                if ((object.ReferenceEquals(this.Email2Field, value) != true)) {
                    this.Email2Field = value;
                    this.RaisePropertyChanged("Email2");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Facebook {
            get {
                return this.FacebookField;
            }
            set {
                if ((object.ReferenceEquals(this.FacebookField, value) != true)) {
                    this.FacebookField = value;
                    this.RaisePropertyChanged("Facebook");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Fax {
            get {
                return this.FaxField;
            }
            set {
                if ((object.ReferenceEquals(this.FaxField, value) != true)) {
                    this.FaxField = value;
                    this.RaisePropertyChanged("Fax");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int Identificacion {
            get {
                return this.IdentificacionField;
            }
            set {
                if ((this.IdentificacionField.Equals(value) != true)) {
                    this.IdentificacionField = value;
                    this.RaisePropertyChanged("Identificacion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Nombre {
            get {
                return this.NombreField;
            }
            set {
                if ((object.ReferenceEquals(this.NombreField, value) != true)) {
                    this.NombreField = value;
                    this.RaisePropertyChanged("Nombre");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string OrigenDatos {
            get {
                return this.OrigenDatosField;
            }
            set {
                if ((object.ReferenceEquals(this.OrigenDatosField, value) != true)) {
                    this.OrigenDatosField = value;
                    this.RaisePropertyChanged("OrigenDatos");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string TarjetaProfesional {
            get {
                return this.TarjetaProfesionalField;
            }
            set {
                if ((object.ReferenceEquals(this.TarjetaProfesionalField, value) != true)) {
                    this.TarjetaProfesionalField = value;
                    this.RaisePropertyChanged("TarjetaProfesional");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Telefono {
            get {
                return this.TelefonoField;
            }
            set {
                if ((object.ReferenceEquals(this.TelefonoField, value) != true)) {
                    this.TelefonoField = value;
                    this.RaisePropertyChanged("Telefono");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Telefono2 {
            get {
                return this.Telefono2Field;
            }
            set {
                if ((object.ReferenceEquals(this.Telefono2Field, value) != true)) {
                    this.Telefono2Field = value;
                    this.RaisePropertyChanged("Telefono2");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int TipoContacto {
            get {
                return this.TipoContactoField;
            }
            set {
                if ((this.TipoContactoField.Equals(value) != true)) {
                    this.TipoContactoField = value;
                    this.RaisePropertyChanged("TipoContacto");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Twitter {
            get {
                return this.TwitterField;
            }
            set {
                if ((object.ReferenceEquals(this.TwitterField, value) != true)) {
                    this.TwitterField = value;
                    this.RaisePropertyChanged("Twitter");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Usuario {
            get {
                return this.UsuarioField;
            }
            set {
                if ((object.ReferenceEquals(this.UsuarioField, value) != true)) {
                    this.UsuarioField = value;
                    this.RaisePropertyChanged("Usuario");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string website {
            get {
                return this.websiteField;
            }
            set {
                if ((object.ReferenceEquals(this.websiteField, value) != true)) {
                    this.websiteField = value;
                    this.RaisePropertyChanged("website");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="EntradaActualizacionOperadorView", Namespace="http://schemas.datacontract.org/2004/07/BDUTools.Infraestructure.Types.BduModule")]
    [System.SerializableAttribute()]
    public partial class EntradaActualizacionOperadorView : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string ApellidosField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int CodigoInternoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string DependenciaField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string NombresField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string ObservacionesField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string RazonSocialField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string UsuarioField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Apellidos {
            get {
                return this.ApellidosField;
            }
            set {
                if ((object.ReferenceEquals(this.ApellidosField, value) != true)) {
                    this.ApellidosField = value;
                    this.RaisePropertyChanged("Apellidos");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int CodigoInterno {
            get {
                return this.CodigoInternoField;
            }
            set {
                if ((this.CodigoInternoField.Equals(value) != true)) {
                    this.CodigoInternoField = value;
                    this.RaisePropertyChanged("CodigoInterno");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Dependencia {
            get {
                return this.DependenciaField;
            }
            set {
                if ((object.ReferenceEquals(this.DependenciaField, value) != true)) {
                    this.DependenciaField = value;
                    this.RaisePropertyChanged("Dependencia");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Nombres {
            get {
                return this.NombresField;
            }
            set {
                if ((object.ReferenceEquals(this.NombresField, value) != true)) {
                    this.NombresField = value;
                    this.RaisePropertyChanged("Nombres");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Observaciones {
            get {
                return this.ObservacionesField;
            }
            set {
                if ((object.ReferenceEquals(this.ObservacionesField, value) != true)) {
                    this.ObservacionesField = value;
                    this.RaisePropertyChanged("Observaciones");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string RazonSocial {
            get {
                return this.RazonSocialField;
            }
            set {
                if ((object.ReferenceEquals(this.RazonSocialField, value) != true)) {
                    this.RazonSocialField = value;
                    this.RaisePropertyChanged("RazonSocial");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Usuario {
            get {
                return this.UsuarioField;
            }
            set {
                if ((object.ReferenceEquals(this.UsuarioField, value) != true)) {
                    this.UsuarioField = value;
                    this.RaisePropertyChanged("Usuario");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="SalidaActualizacionOperadorView", Namespace="http://schemas.datacontract.org/2004/07/BDUTools.Infraestructure.Types.BduModule")]
    [System.SerializableAttribute()]
    public partial class SalidaActualizacionOperadorView : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int codigoInternoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string mensajeField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int codigoInterno {
            get {
                return this.codigoInternoField;
            }
            set {
                if ((this.codigoInternoField.Equals(value) != true)) {
                    this.codigoInternoField = value;
                    this.RaisePropertyChanged("codigoInterno");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string mensaje {
            get {
                return this.mensajeField;
            }
            set {
                if ((object.ReferenceEquals(this.mensajeField, value) != true)) {
                    this.mensajeField = value;
                    this.RaisePropertyChanged("mensaje");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="EntradaActualizacionContactoView", Namespace="http://schemas.datacontract.org/2004/07/BDUTools.Infraestructure.Types.BduModule")]
    [System.SerializableAttribute()]
    public partial class EntradaActualizacionContactoView : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int ApartadoAereoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string CedulaExtranjeriaField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string CelularField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int CodInternoContactoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int CodigoDaneDeptoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int CodigoDaneMunicipioField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string DependenciaField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string DireccionField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string EmailField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string Email2Field;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string FacebookField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string FaxField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string NombreField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string OrigenDatosField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string TarjetaProfesionalField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string TelefonoField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string Telefono2Field;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string TwitterField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string UsuarioField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private string websiteField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int ApartadoAereo {
            get {
                return this.ApartadoAereoField;
            }
            set {
                if ((this.ApartadoAereoField.Equals(value) != true)) {
                    this.ApartadoAereoField = value;
                    this.RaisePropertyChanged("ApartadoAereo");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string CedulaExtranjeria {
            get {
                return this.CedulaExtranjeriaField;
            }
            set {
                if ((object.ReferenceEquals(this.CedulaExtranjeriaField, value) != true)) {
                    this.CedulaExtranjeriaField = value;
                    this.RaisePropertyChanged("CedulaExtranjeria");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Celular {
            get {
                return this.CelularField;
            }
            set {
                if ((object.ReferenceEquals(this.CelularField, value) != true)) {
                    this.CelularField = value;
                    this.RaisePropertyChanged("Celular");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int CodInternoContacto {
            get {
                return this.CodInternoContactoField;
            }
            set {
                if ((this.CodInternoContactoField.Equals(value) != true)) {
                    this.CodInternoContactoField = value;
                    this.RaisePropertyChanged("CodInternoContacto");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int CodigoDaneDepto {
            get {
                return this.CodigoDaneDeptoField;
            }
            set {
                if ((this.CodigoDaneDeptoField.Equals(value) != true)) {
                    this.CodigoDaneDeptoField = value;
                    this.RaisePropertyChanged("CodigoDaneDepto");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int CodigoDaneMunicipio {
            get {
                return this.CodigoDaneMunicipioField;
            }
            set {
                if ((this.CodigoDaneMunicipioField.Equals(value) != true)) {
                    this.CodigoDaneMunicipioField = value;
                    this.RaisePropertyChanged("CodigoDaneMunicipio");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Dependencia {
            get {
                return this.DependenciaField;
            }
            set {
                if ((object.ReferenceEquals(this.DependenciaField, value) != true)) {
                    this.DependenciaField = value;
                    this.RaisePropertyChanged("Dependencia");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Direccion {
            get {
                return this.DireccionField;
            }
            set {
                if ((object.ReferenceEquals(this.DireccionField, value) != true)) {
                    this.DireccionField = value;
                    this.RaisePropertyChanged("Direccion");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Email {
            get {
                return this.EmailField;
            }
            set {
                if ((object.ReferenceEquals(this.EmailField, value) != true)) {
                    this.EmailField = value;
                    this.RaisePropertyChanged("Email");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Email2 {
            get {
                return this.Email2Field;
            }
            set {
                if ((object.ReferenceEquals(this.Email2Field, value) != true)) {
                    this.Email2Field = value;
                    this.RaisePropertyChanged("Email2");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Facebook {
            get {
                return this.FacebookField;
            }
            set {
                if ((object.ReferenceEquals(this.FacebookField, value) != true)) {
                    this.FacebookField = value;
                    this.RaisePropertyChanged("Facebook");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Fax {
            get {
                return this.FaxField;
            }
            set {
                if ((object.ReferenceEquals(this.FaxField, value) != true)) {
                    this.FaxField = value;
                    this.RaisePropertyChanged("Fax");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Nombre {
            get {
                return this.NombreField;
            }
            set {
                if ((object.ReferenceEquals(this.NombreField, value) != true)) {
                    this.NombreField = value;
                    this.RaisePropertyChanged("Nombre");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string OrigenDatos {
            get {
                return this.OrigenDatosField;
            }
            set {
                if ((object.ReferenceEquals(this.OrigenDatosField, value) != true)) {
                    this.OrigenDatosField = value;
                    this.RaisePropertyChanged("OrigenDatos");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string TarjetaProfesional {
            get {
                return this.TarjetaProfesionalField;
            }
            set {
                if ((object.ReferenceEquals(this.TarjetaProfesionalField, value) != true)) {
                    this.TarjetaProfesionalField = value;
                    this.RaisePropertyChanged("TarjetaProfesional");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Telefono {
            get {
                return this.TelefonoField;
            }
            set {
                if ((object.ReferenceEquals(this.TelefonoField, value) != true)) {
                    this.TelefonoField = value;
                    this.RaisePropertyChanged("Telefono");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Telefono2 {
            get {
                return this.Telefono2Field;
            }
            set {
                if ((object.ReferenceEquals(this.Telefono2Field, value) != true)) {
                    this.Telefono2Field = value;
                    this.RaisePropertyChanged("Telefono2");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Twitter {
            get {
                return this.TwitterField;
            }
            set {
                if ((object.ReferenceEquals(this.TwitterField, value) != true)) {
                    this.TwitterField = value;
                    this.RaisePropertyChanged("Twitter");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Usuario {
            get {
                return this.UsuarioField;
            }
            set {
                if ((object.ReferenceEquals(this.UsuarioField, value) != true)) {
                    this.UsuarioField = value;
                    this.RaisePropertyChanged("Usuario");
                }
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string website {
            get {
                return this.websiteField;
            }
            set {
                if ((object.ReferenceEquals(this.websiteField, value) != true)) {
                    this.websiteField = value;
                    this.RaisePropertyChanged("website");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "4.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name="SalidaActualizacionContactoView", Namespace="http://schemas.datacontract.org/2004/07/BDUTools.Infraestructure.Types.BduModule")]
    [System.SerializableAttribute()]
    public partial class SalidaActualizacionContactoView : object, System.Runtime.Serialization.IExtensibleDataObject, System.ComponentModel.INotifyPropertyChanged {
        
        [System.NonSerializedAttribute()]
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        private int codigoInternoField;
        
        [global::System.ComponentModel.BrowsableAttribute(false)]
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData {
            get {
                return this.extensionDataField;
            }
            set {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int codigoInterno {
            get {
                return this.codigoInternoField;
            }
            set {
                if ((this.codigoInternoField.Equals(value) != true)) {
                    this.codigoInternoField = value;
                    this.RaisePropertyChanged("codigoInterno");
                }
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="BDU.IActualizacionExterna")]
    public interface IActualizacionExterna {
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IActualizacionExterna/CrearExpediente", ReplyAction="http://tempuri.org/IActualizacionExterna/CrearExpedienteResponse")]
        [System.ServiceModel.FaultContractAttribute(typeof(SGEWCF2.BDU.InteropServiceFault1), Action="http://tempuri.org/IActualizacionExterna/CrearExpedienteInteropServiceFault", Name="InteropServiceFault")]
        [System.ServiceModel.FaultContractAttribute(typeof(SGEWCF2.BDU.InteropClientFault), Action="http://tempuri.org/IActualizacionExterna/CrearExpedienteInteropClientFault", Name="InteropClientFault")]
        int CrearExpediente(SGEWCF2.BDU.ExpedienteCreateEntity entity);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IActualizacionExterna/CrearResolucion", ReplyAction="http://tempuri.org/IActualizacionExterna/CrearResolucionResponse")]
        [System.ServiceModel.FaultContractAttribute(typeof(SGEWCF2.BDU.InteropServiceFault1), Action="http://tempuri.org/IActualizacionExterna/CrearResolucionInteropServiceFault", Name="InteropServiceFault")]
        [System.ServiceModel.FaultContractAttribute(typeof(SGEWCF2.BDU.InteropClientFault), Action="http://tempuri.org/IActualizacionExterna/CrearResolucionInteropClientFault", Name="InteropClientFault")]
        int CrearResolucion(SGEWCF2.BDU.ResolucionCreateEntity entity);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IActualizacionExterna/CrearOperador", ReplyAction="http://tempuri.org/IActualizacionExterna/CrearOperadorResponse")]
        [System.ServiceModel.FaultContractAttribute(typeof(SGEWCF2.BDU.InteropServiceFault1), Action="http://tempuri.org/IActualizacionExterna/CrearOperadorInteropServiceFault", Name="InteropServiceFault")]
        [System.ServiceModel.FaultContractAttribute(typeof(SGEWCF2.BDU.InteropClientFault), Action="http://tempuri.org/IActualizacionExterna/CrearOperadorInteropClientFault", Name="InteropClientFault")]
        int CrearOperador(string TipoDocumento, int Identificacion, int DigitoVerificacion, string RazonSocial, string Nombres, string Apellidos, string Observaciones, string Dependencia, string Usuario);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IActualizacionExterna/CrearContacto", ReplyAction="http://tempuri.org/IActualizacionExterna/CrearContactoResponse")]
        [System.ServiceModel.FaultContractAttribute(typeof(SGEWCF2.BDU.InteropServiceFault1), Action="http://tempuri.org/IActualizacionExterna/CrearContactoInteropServiceFault", Name="InteropServiceFault")]
        [System.ServiceModel.FaultContractAttribute(typeof(SGEWCF2.BDU.InteropClientFault), Action="http://tempuri.org/IActualizacionExterna/CrearContactoInteropClientFault", Name="InteropClientFault")]
        int CrearContacto(SGEWCF2.BDU.CrearContactoView contacto);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IActualizacionExterna/ActualizarOperador", ReplyAction="http://tempuri.org/IActualizacionExterna/ActualizarOperadorResponse")]
        [System.ServiceModel.FaultContractAttribute(typeof(SGEWCF2.BDU.InteropServiceFault1), Action="http://tempuri.org/IActualizacionExterna/ActualizarOperadorInteropServiceFault", Name="InteropServiceFault")]
        [System.ServiceModel.FaultContractAttribute(typeof(SGEWCF2.BDU.InteropClientFault), Action="http://tempuri.org/IActualizacionExterna/ActualizarOperadorInteropClientFault", Name="InteropClientFault")]
        SGEWCF2.BDU.SalidaActualizacionOperadorView ActualizarOperador(SGEWCF2.BDU.EntradaActualizacionOperadorView Operador);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IActualizacionExterna/ActualizarContacto", ReplyAction="http://tempuri.org/IActualizacionExterna/ActualizarContactoResponse")]
        [System.ServiceModel.FaultContractAttribute(typeof(SGEWCF2.BDU.InteropServiceFault1), Action="http://tempuri.org/IActualizacionExterna/ActualizarContactoInteropServiceFault", Name="InteropServiceFault")]
        [System.ServiceModel.FaultContractAttribute(typeof(SGEWCF2.BDU.InteropClientFault), Action="http://tempuri.org/IActualizacionExterna/ActualizarContactoInteropClientFault", Name="InteropClientFault")]
        SGEWCF2.BDU.SalidaActualizacionContactoView ActualizarContacto(SGEWCF2.BDU.EntradaActualizacionContactoView Contacto);
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface IActualizacionExternaChannel : SGEWCF2.BDU.IActualizacionExterna, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class ActualizacionExternaClient : System.ServiceModel.ClientBase<SGEWCF2.BDU.IActualizacionExterna>, SGEWCF2.BDU.IActualizacionExterna {
        
        public ActualizacionExternaClient() {
        }
        
        public ActualizacionExternaClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public ActualizacionExternaClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public ActualizacionExternaClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public ActualizacionExternaClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        public int CrearExpediente(SGEWCF2.BDU.ExpedienteCreateEntity entity) {
            return base.Channel.CrearExpediente(entity);
        }
        
        public int CrearResolucion(SGEWCF2.BDU.ResolucionCreateEntity entity) {
            return base.Channel.CrearResolucion(entity);
        }
        
        public int CrearOperador(string TipoDocumento, int Identificacion, int DigitoVerificacion, string RazonSocial, string Nombres, string Apellidos, string Observaciones, string Dependencia, string Usuario) {
            return base.Channel.CrearOperador(TipoDocumento, Identificacion, DigitoVerificacion, RazonSocial, Nombres, Apellidos, Observaciones, Dependencia, Usuario);
        }
        
        public int CrearContacto(SGEWCF2.BDU.CrearContactoView contacto) {
            return base.Channel.CrearContacto(contacto);
        }
        
        public SGEWCF2.BDU.SalidaActualizacionOperadorView ActualizarOperador(SGEWCF2.BDU.EntradaActualizacionOperadorView Operador) {
            return base.Channel.ActualizarOperador(Operador);
        }
        
        public SGEWCF2.BDU.SalidaActualizacionContactoView ActualizarContacto(SGEWCF2.BDU.EntradaActualizacionContactoView Contacto) {
            return base.Channel.ActualizarContacto(Contacto);
        }
    }
}
